<?php

        PG_Blocks::register_block_type( array(
            'name' => 'translatable/translatable-block',
            'title' => __( 'Translatable Block', 'translatable' ),
            'description' => __( 'This block\'s controls can be translated using native WordPress functions ', 'translatable' ),
            'icon' => 'translation',
            'category' => 'widgets',
            'supports' => array('color' => array('background' => false,'text' => false,'gradients' => false,'link' => false,),'typography' => array('fontSize' => false,),'anchor' => false,'align' => false,),
            'base_url' => get_template_directory_uri(),
            'base_path' => get_template_directory(),
            'js_file' => 'blocks/translatable-block/translatable-block.js',
            'attributes' => array(
                'image' => array(
                    'type' => 'object',
                    'default' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1613909207039-6b173b755cc1?ixid=MnwyMDkyMnwwfDF8c2VhcmNofDV8fGRlc2lnbmVyfGVufDB8fHx8MTYzMjg2OTMwMA&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=800&h=1000&fit=crop', 'size' => '', 'svg' => '', 'alt' => '...')
                ),
                'title' => array(
                    'type' => 'string',
                    'default' => __( 'About Me', 'translatable' )
                ),
                'description' => array(
                    'type' => 'string',
                    'default' => __( 'Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Curabitur ac sagittis neque, vel egestas est.', 'translatable' )
                ),
                'more_link' => array(
                    'type' => 'object',
                    'default' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => '')
                ),
                'more_label' => array(
                    'type' => 'string',
                    'default' => __( 'Full Story', 'translatable' )
                )
            ),
            'example' => array(
'image' => array('id' => 0, 'url' => 'https://images.unsplash.com/photo-1613909207039-6b173b755cc1?ixid=MnwyMDkyMnwwfDF8c2VhcmNofDV8fGRlc2lnbmVyfGVufDB8fHx8MTYzMjg2OTMwMA&ixlib=rb-1.2.1q=85&fm=jpg&crop=faces&cs=srgb&w=800&h=1000&fit=crop', 'size' => '', 'svg' => '', 'alt' => '...'), 'title' => __( 'About Me', 'translatable' ), 'description' => __('Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus pulvinar faucibus neque, nec rhoncus nunc ultrices sit amet. Curabitur ac sagittis neque, vel egestas est.', 'translatable' ), 'more_link' => array('post_id' => 0, 'url' => '#', 'post_type' => '', 'title' => ''), 'more_label' => __( 'Full Story', 'translatable' )
            ),
            'dynamic' => false,
            'version' => '1.0.4'
        ) );
